Subject: Re: bug#21969: VC opens new window to display minimal messages

From: Daniel Colascione <[email-masked]>
Date: Fri, 27 Nov 2015 14:26:13 -0800

On 11/22/2015 09:45 AM, David Reitter wrote:
> On Nov 22, 2015, at 12:41 PM, Dmitry Gutov <[email-masked]> wrote:
> 
>> I think we should return to this after someone demonstrates a "slower" situation in a real-world scenario.
> 
> 
> I think it’s reasonable to assume that local (distributed) VCSs will be fast, while networked ones will be too slow.   In my experience, bzr may be slow even if it runs a local operation.  That’s why I think it’s not a good idea to do exactly the same for every VCS

Believe me, any VCS will be slow once you throw enough files at it. I've
had to disable Emacs Mercurial integration because I was sick of waiting
three seconds for hg status -A and hg log -l1 --template '{rev}' to run
every time I visited a file. I've been working on a _very_ large repository.

I'd rather we always show a window and always run asynchronously.